<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateItemsTitle}"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form id="item">
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemNombre}" for="itemNombre" />
                    <h:inputText id="itemNombre" value="#{itemsController.selected.itemNombre}" title="#{bundle.CreateItemsTitle_itemNombre}" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemNombre}"/>
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemCodigo}" for="itemCodigo" />
                    <h:inputText id="itemCodigo" value="#{itemsController.selected.itemCodigo}" title="#{bundle.CreateItemsTitle_itemCodigo}" />
                    <h:outputLabel value="#{bundle.CreateItemsLabel_itemInventarioId}" for="itemInventarioId" />
                    <h:selectOneMenu id="itemInventarioId" value="#{itemsController.selected.itemInventarioId}" title="#{bundle.CreateItemsTitle_itemInventarioId}" required="true" requiredMessage="#{bundle.CreateItemsRequiredMessage_itemInventarioId}">
                        <f:selectItems value="#{inventariosController.inventarios}" var="inventarios" itemLabel="#{inventarios.inventarioNombre}" />
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
                
                <p:commandButton  action="#{itemsController.create}" process="item" value="#{bundle.CreateItemsSaveLink}" ajax="false" update="growl"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
